//crat.c
void crat(int dbg=0, char *FileName=NULL)
	{
	struct stud;
	fout << "\n		Создание файла\n";
	if (file_exists("crat.dat"))
	{
	printf("Прочитать данные из файла CRAT.DAT?");
	key=getch();

	if((presskey5=='y')||(presskey5=='Y'))
	{
	printf("Y\n");
	fin.open("crat.dat");
	if(!fin)
		{
		pri("Ошибка при открытии файла данных");
		exit(0);
		}
	}
	}
	else presskey5='N';

	NewFileName:

	if (FileName==NULL)
	{
	printf("\n\nПожалуйста, введите имя нового файла: ");
	cin >> FileName;
	}

	if (file_exists(FileName))
	{
	printf("\nФайл существует, Заменить (Y/N)? ");

	FileExistWaring01:
	key=getch();
	if ((key!='n')&&(key!='N')&&(key!='y')&&(key!='Y'))
	{
		ErrSnd();
		goto FileExistWaring01;
	}
	if ((key=='n')||(key=='N'))
	goto NewFileName;
	}

	gotoxy(1, wherey());

	io.open(FileName, ios::out|ios::binary);
	if(!io)
		{
		pri("Ошибка открытия бинарного файла дял его создания");
		exit(0);
		}

	p_header();

	if ((presskey5!='y')&&(presskey5!='Y'))
		wR_manual(dbg);
	else
		wR_f(dbg);
	fin.close();
	io.close();
	printf("\n\nФайл успешно создан!\n\n");
	}
